QGIS Application - Feature request #921
Feature: Carry single symbol settings over to other 'Legend type' settings
2008-01-28 09:58 AM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 10980
Description

One big hassle is changing settings for unique value legends for datasets with many classification variables. The default action of line
outline style is sometimes not wanted, and going through each classification value is tedious. It would be useful if Qgis carried over the
settings made in Single Symbol when choosing a different legend type. For instance, setting the single symbol legend to 'no pen' will carry
over as the default outline style when choosing 'unique value' classification, thus preventing the need to go through each class to change
the outline style. The same could be done with width and fill style.

History

#1 - 2009-07-12 01:04 AM - Giovanni Manghi

It is possible, when classifying, to choose at the same time how many classes you want by using the SHIFT/CTRL keys + up/down arrow or
pageup/pagedown keys or left mouse button, exactly the same way is done for files in a folder. Then, you can change the classification style for how many
classes do you want at the same time.

This answer your question?

#2 - 2009-07-15 09:54 AM - John Tull
- Resolution set to wontfix

- Status changed from Open to Closed

@pcav

| recognize that you can do what you have described. What | was suggesting is having qgis set the classified values to "no pen" outline styles if the single
symbol style is already set to no pen. Likewise, have them dashed if the single symbol value is already set to dashed for the outline drawing. This is not a
big deal now that you can select multiple items and set the outline style simultaneously, so | am closing this request as it has little value IMO. I'll classify it

as wontfix.
